Public Class Form1

    Dim WithEvents RC As New iRobots.RoCar01

    Private Sub ComboBox1_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ComboBox1.SelectedIndexChanged
        Select Case ComboBox1.SelectedIndex
            Case 0
                RC.MoveC("F")
                RC.WaitN(3000)
                RC.MoveC("L")
                RC.WaitN(1000)
                RC.MoveC("F")
                RC.WaitN(4000)
                RC.MoveC("L")
                RC.WaitN(1000)
                RC.MoveC("F")
                RC.WaitN(3000)
                RC.MoveC("L")
                RC.WaitN(1000)
                RC.MoveC("X")
            Case 1
                RC.MoveC("F")
                RC.WaitN(3000)
                RC.MoveC("L")
                RC.WaitN(1000)
                RC.MoveC("F")
                RC.WaitN(4000)
                RC.MoveC("R")
                RC.WaitN(1000)
                RC.MoveC("F")
                RC.WaitN(1000)
                RC.MoveC("B")
                RC.WaitN(4000)
                RC.MoveC("X")
        End Select
    End Sub
End Class
